summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@gmail.com>2010-07-04 18:05:14 -0600
committerTavian Barnes <tavianator@gmail.com>2010-07-04 18:05:45 -0600
commite79cd65fe4c844167252913159fa77e13a4712ba (patch)
treeea323b4d56b53b2d198005c795c6b59f8aa5eef9 /tests
parentd49a5cb78fda5aafe3f03a070a12c7992c8b7480 (diff)
downloaddimension-e79cd65fe4c844167252913159fa77e13a4712ba.tar.xz
Add regression test for commit 11d364ec365c46c21271012b566966d342a90a8b.
Diffstat (limited to 'tests')
-rw-r--r--tests/dimension/Makefile.am2
-rw-r--r--tests/dimension/invalid-macro.pov26
-rwxr-xr-xtests/dimension/invalid-macro.sh23
3 files changed, 51 insertions, 0 deletions
diff --git a/tests/dimension/Makefile.am b/tests/dimension/Makefile.am
index b6b24b1..61535a0 100644
--- a/tests/dimension/Makefile.am
+++ b/tests/dimension/Makefile.am
@@ -26,6 +26,7 @@ TESTS = punctuation.sh \
directives.sh \
arithexp.sh \
transformations.sh \
+ invalid-macro.sh \
tbuffer-overlap.sh \
csg.sh \
demo.sh
@@ -43,6 +44,7 @@ EXTRA_DIST = $(TESTS) \
directives.pov \
arithexp.pov \
transformations.pov \
+ invalid-macro.pov \
tbuffer-overlap.pov \
csg.pov \
demo.pov
diff --git a/tests/dimension/invalid-macro.pov b/tests/dimension/invalid-macro.pov
new file mode 100644
index 0000000..2e442d7
--- /dev/null
+++ b/tests/dimension/invalid-macro.pov
@@ -0,0 +1,26 @@
+/*************************************************************************
+ * Copyright (C) 2009-2010 Tavian Barnes <tavianator@gmail.com> *
+ * *
+ * This file is part of The Dimension Test Suite. *
+ * *
+ * The Dimension Test Suite is free software; you can redistribute it *
+ * and/or modify it under the terms of the GNU General Public License as *
+ * published by the Free Software Foundation; either version 3 of the *
+ * License, or (at your option) any later version. *
+ * *
+ * The Dimension Test Suite is distributed in the hope that it will be *
+ * useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
+ * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
+ * General Public License for more details. *
+ * *
+ * You should have received a copy of the GNU General Public License *
+ * along with this program. If not, see <http://www.gnu.org/licenses/>. *
+ *************************************************************************/
+
+// Regression test for commit 11d364ec365c46c21271012b566966d342a90a8b
+
+#macro Macro()
+ { }
+#end
+
+Macro()
diff --git a/tests/dimension/invalid-macro.sh b/tests/dimension/invalid-macro.sh
new file mode 100755
index 0000000..30186fb
--- /dev/null
+++ b/tests/dimension/invalid-macro.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+#########################################################################
+# Copyright (C) 2009-2010 Tavian Barnes <tavianator@gmail.com> #
+# #
+# This file is part of The Dimension Test Suite. #
+# #
+# The Dimension Test Suite is free software; you can redistribute it #
+# and/or modify it under the terms of the GNU General Public License as #
+# published by the Free Software Foundation; either version 3 of the #
+# License, or (at your option) any later version. #
+# #
+# The Dimension Test Suite is distributed in the hope that it will be #
+# useful, but WITHOUT ANY WARRANTY; without even the implied warranty #
+# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU #
+# General Public License for more details. #
+# #
+# You should have received a copy of the GNU General Public License #
+# along with this program. If not, see <http://www.gnu.org/licenses/>. #
+#########################################################################
+
+${top_builddir}/dimension/dimension --parse ${srcdir}/invalid-macro.pov
+[ $? -lt 128 -a $? -gt 0 ]